Module java.desktop
Package javax.swing.plaf

# Class RootPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.RootPaneUI

Direct Known Subclasses:
  `BasicRootPaneUI`, `MultiRootPaneUI`

    public abstract class RootPaneUI
    extends ComponentUI

Pluggable look and feel interface for JRootPane.

Since:
  1.3

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RootPaneUI()` |

## Method Summary

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RootPaneUI

public RootPaneUI()